/*
    Common commands implementation.
    Copyright (C) 2011 2014 2015 2016  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __CMD_COMMON_H
#define __CMD_COMMON_H	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

int driverCmd(int argc,char **argv);
  /* Seleziona il driver attuale e avvia una nuova sessione. */

int listCmd(int argc,char **argv);
  /* Elenca tutti i driver disponibili. */

int verboseCmd(int argc,char **argv);
  /* Imposta il livello di verbosita'. */

int commandCmd(int argc,char **argv);
  /* Invia una stringa di comandi al device attuale. */

int writeCmd(int argc,char **argv);
  /* Invia una stringa di testo al device attuale. */

int readCmd(int argc,char **argv);
  /* Legge una stringa di testo dal device attuale. */

int bwriteCmd(int argc,char **argv);
  /* Esegue la scrittura di un blocco dati sul device attuale. */

int breadCmd(int argc,char **argv);
  /* Esegue la lettura di un blocco dati dal device attuale. */

int bverifyCmd(int argc,char **argv);
  /* Esegue la verifica di un blocco dati dal device attuale. */

int sleepCmd(int argc,char **argv);
  /* Blocca l'esecuzione per il numero indicato di secondi. */

int usleepCmd(int argc,char **argv);
  /* Blocca l'esecuzione per il numero indicato di microsecondi. */

/***************************************************************************/
#endif

/* $Source$ */

