/*
    I/O level commands implementation.
    Copyright (C) 2010 2011 2016  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __CMD_IO_H
#define __CMD_IO_H	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

int baudrateCmd(int argc,char **argv);
  /* Imposta il baudrate di aggiornamento dell'hardware interface. */

int dirmaskCmd(int argc,char **argv);
  /* Imposta/legge la direzione dei pin di I/O. */

int dataCmd(int argc,char **argv);
  /* Imposta/legge il valore delle linee di I/O. */

int bitCmd(int argc,char **argv);
  /* Imposta/legge il valore di una singola linea di I/O. */


//int io_pinrCmd(int argc,char **argv);
//  /* Legge lo stato di un pin di ingresso. */
//
//int io_pinwCmd(int argc,char **argv);
//  /* Imposta lo stato di un pin di uscita. */

/***************************************************************************/
#endif

/* $Source$ */

